$(document).ready(function() {
    const $scrollerInner = $('.scrollerInner');
    const $items = $scrollerInner.children();
    const repeatCount = 20;

    for (let i = 0; i < repeatCount; i++) {
        $scrollerInner.append($items.clone());
    }

    const totalItems = $scrollerInner.children().length;
    const duration = totalItems * 0.9; 
    $scrollerInner.css('animation-duration', `${duration}s`);

    $scrollerInner.css('animation-name', 'scroll');
});



document.addEventListener('DOMContentLoaded', function() {
    const filterLinks = document.querySelectorAll('.filter-link');
    const cols = document.querySelectorAll('.creativeDigital');
  
    filterLinks.forEach(link => {
      link.addEventListener('click', function(e) {
        e.preventDefault();
        const filter = this.getAttribute('data-filter');
  
        filterLinks.forEach(link => link.classList.remove('active'));
        this.classList.add('active');
  
        cols.forEach(col => {
          if (filter === 'all' || col.classList.contains(filter)) {
            col.style.display = 'block';
          } else {
            col.style.display = 'none';
          }
        });
      });
    });
  
    // Show all initially
    document.querySelector('.filter-link[data-filter="all"]').click();
  });
  




  document.addEventListener('DOMContentLoaded', function() {
    const filterFeaturedlink = document.querySelectorAll('.filter-Featuredlink');
    const images = document.querySelectorAll('.carousel-item');

    filterFeaturedlink.forEach(link => {
      link.addEventListener('click', function(e) {
        e.preventDefault();
        const Featuredfilter = this.getAttribute('data-filter');

        filterFeaturedlink.forEach(link => link.classList.remove('active'));
        this.classList.add('active');

        images.forEach(image => {
          if (image.classList.contains(Featuredfilter)) {
            image.classList.add('active');
          } else {
            image.classList.remove('active');
          }
        });
      });
    });
  });





  document.addEventListener("DOMContentLoaded", function() {
    document.getElementsByClassName("tab")[0].click();
});


    function showContent(contentId, element) {
    
      var contents = document.querySelectorAll('.collapse');
      contents.forEach(function(content) {
        content.classList.remove('show');
      });

      var cards = document.querySelectorAll('.card');
      cards.forEach(function(card) {
        card.classList.remove('active');
      });
      document.getElementById(contentId).classList.add('show');
      element.classList.add('active');
    }



    function openTab(event, tabName) {
      var i, tabcontent, tablinks;
      
      // Hide all tab contents
      tabcontent = document.getElementsByClassName("tab-content");
      for (i = 0; i < tabcontent.length; i++) {
          tabcontent[i].style.display = "none";
      }
      
      // Remove 'active' class from all tab links
      tablinks = document.getElementsByClassName("tab");
      for (i = 0; i < tablinks.length; i++) {
          tablinks[i].classList.remove("active");
      }
  
      // Show the current tab and add 'active' class to the clicked tab link
      document.getElementById(tabName).style.display = "block";
      event.currentTarget.classList.add("active");
      

      const circles = document.querySelectorAll('.circle');
  
      circles.forEach(circle => {
          circle.addEventListener('click', function(e) {
              e.preventDefault();
  
              circles.forEach(link => link.classList.remove('active'));
  
              this.classList.add('active');
          });
      });
  }
  




        $(document).ready(function() {
    $('.circle').click(function() {
        $(this).toggleClass('active');
        $(this).find('svg').toggleClass('active'); 
    });
});


$(document).ready(function() {
  $('.circle svg').on('click', function() {
      $('.circle svg').removeClass('active');
      $(this).addClass('active');
  });
});




$(document).ready(function() {
  var galleryThumbs = new Swiper(".gallery-thumbs", {
    slidesPerView: 6,
  });

  var galleryTop = new Swiper(".gallery-top", {
    direction: "horizontal",
    spaceBetween: 10,
    navigation: {
      nextEl: ".swiper-button-next",
      prevEl: ".swiper-button-prev"
    
    }
    ,
    thumbs: {
      swiper: galleryThumbs
    }
  });

});
 


  
$(document).ready(function() {
        $('.clickable-image').on('click', function() {
            var imageSrc = $(this).data('image');
            $('#imageModal .modal-dialog').css('background-image', 'url(' + imageSrc + ')');
            $('#imageModal').modal('show');
        });
    });



    

    function toggleParagraph(id) {
    // Get all sec6-subcont elements
    var subconts = document.querySelectorAll('.sec6-subcont');
    var divs = document.querySelectorAll('.triangle');

    // Loop through each subcont and img
    subconts.forEach(function(subcont, index) {
        var div = divs[index]; // Match img with subcont

        // Hide all subconts except the one matching the id
        if (subcont.id === sec6-subcont `${id}`) {
            subcont.classList.toggle('show'); // Toggle show class to display
            div.classList.toggle('rotate'); // Toggle rotate class to rotate
        } else {
            subcont.classList.remove('show'); // Remove show class to hide
            div.classList.remove('rotate'); // Remove rotate class to reset rotation
        }
    });
}


$('.slider-nav').slick({
  slidesToShow: 4,
  slidesToScroll: 1,
  asNavFor: '.slider-for',
  dots: true,
  focusOnSelect: true
});
